Skip to main content
GET
/
apps
/
{appId}
/
endpoints
List application endpoints
curl --request GET \
  --url https://api.bunny.net/mc/apps/{appId}/endpoints \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/mc/apps/{appId}/endpoints"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/mc/apps/{appId}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "displayName": "<string>",
      "publicHost": "<string>",
      "isSslEnabled": true,
      "pullZoneId": "<string>",
      "portMappings": [
        {
          "containerPort": 123,
          "exposedPort": 123,
          "protocols": []
        }
      ],
      "containerName": "<string>",
      "containerId": "<string>",
      "stickySessions": {
        "enabled": true,
        "sessionHeaders": [
          "<string>"
        ],
        "cookieName": "<string>"
      },
      "internalIpAddresses": [
        {
          "address": "<string>",
          "region": "<string>"
        }
      ],
      "publicIpAddresses": [
        {
          "address": "<string>",
          "region": "<string>"
        }
      ]
    }
  ],
  "meta": {
    "totalItems": 123
  },
  "cursor": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}

Authorizations

AccessKey
string
header
required

Please enter a valid personal API key.

Path Parameters

appId
string
required

The ID of the application

Response

Endpoints were successfully retrieved.

List endpoints response

items
object[]
meta
object
cursor
string | null
Last modified on July 7, 2026